#!/bin/bash
#!/bin/bash

# Source the prelude script


. /data/cluster_name/scratch/$(whoami)/projects/MACE-Update/slurm/scripts/prelude.sh

CUDA_VISIBLE_DEVICES=$1
ALGO_NAME=$2
CHANGE=$3
TASK=$4
CONFIG=$5
# RANDOM_SEED=$6

# for RANDOM_SEED in {0..2}
# do
#     for REG in 0 0.0001 0.001 0.01 0.1 1
#     do
#         CHANGE="lora_reg=${REG}"
#         echo train_model_${ALGO_NAME}_${CHANGE}_${TASK}_${CONFIG}_${RANDOM_SEED}
#         bash $PREFIX/slurm/scripts/training/launch_train_job.sh $CUDA_VISIBLE_DEVICES $ALGO_NAME $CHANGE $TASK $CONFIG $RANDOM_SEED fuse_preserve_scale $REG
#     done
# done

# CUDA_VISIBLE_DEVICES=$1
# ALGO_NAME=$2
# CHANGE=$3
# TASK=$4
# CONFIG=$5
# # RANDOM_SEED=$6

for RANDOM_SEED in {0..0}
do
    echo train_model_${ALGO_NAME}_${CHANGE}_${TASK}_${CONFIG}_${RANDOM_SEED}
    bash $PREFIX/algorithms/${ALGO_NAME}/train_model_new.sh $CUDA_VISIBLE_DEVICES $ALGO_NAME $CHANGE $TASK $CONFIG $RANDOM_SEED
done